
package com.tmerclub.cloud.common.security.bo;

import com.tmerclub.cloud.api.platform.vo.SysAccessKeyVO;
import jakarta.servlet.http.HttpServletRequest;

import java.io.Serial;
import java.io.Serializable;
import java.util.Map;

/**
 * 签名校验完毕之后返回的信息
 * @author tmerclub
 * @date 2021/12/29
 */
public class SignResponse implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 改写后的http请求信息，如果是json格式的数据的话，这边是需要进行改写的
     */
    private HttpServletRequest req;
    /**
     * data所在那一层的map数据
     */
    private Map<String, Object> dataMap;

    private String appSecret;

    private Long timestamp;

    private SysAccessKeyVO sysAccessKeyVO;

    public SysAccessKeyVO getSysAccessKeyVO() {
        return sysAccessKeyVO;
    }

    public void setSysAccessKeyVO(SysAccessKeyVO sysAccessKeyVO) {
        this.sysAccessKeyVO = sysAccessKeyVO;
    }

    public HttpServletRequest getReq() {
        return req;
    }

    public void setReq(HttpServletRequest req) {
        this.req = req;
    }

    public Map<String, Object> getDataMap() {
        return dataMap;
    }

    public void setDataMap(Map<String, Object> dataMap) {
        this.dataMap = dataMap;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    @Override
    public String toString() {
        return "SignResponse{" +
                "req=" + req +
                ", dataMap=" + dataMap +
                ", appSecret='" + appSecret + '\'' +
                ", timestamp=" + timestamp +
                ", sysAccessKeyVO=" + sysAccessKeyVO +
                '}';
    }
}
